For the complete documentation index, see llms.txt. This page is also available as Markdown.

Domains

The following endpoints allow you to view and manage your partner domains.

Get domains

get
Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Query parameters
searchstringOptional

Search by hostname, domain ID, or property ID

idstringOptional

Retrieve a specific domain by ID

statusstring · enumOptional

Filter by domain status

Possible values:
is_activebooleanOptional

Filter by active/inactive domains

sourcestring · enumOptional

Filter by domain creation source

Possible values:
has_scriptsbooleanOptional

Filter by script management status

has_dsarbooleanOptional

Filter by Data Subject Request functionality

has_docsbooleanOptional

Filter by legal documents display

has_accessibilitybooleanOptional

Filter by accessibility functionality

display_companybooleanOptional

Filter by company information display

display_dpobooleanOptional

Filter by DPO information display

company_trade_namestringOptional

Search by company trade name

company_id_numberstringOptional

Filter by company ID number

instance_company_idstringOptional

Filter by instance company ID

instance_property_idstringOptional

Filter by instance property ID

instance_idstringOptional

Filter by instance ID

widget_versionintegerOptional

Filter by widget version

product_idstring[]Optional

Filter by product ID(s)

price_list_idstringOptional

Filter by price list ID

merchant_idstringOptional

Filter by merchant ID

subscription_statusstring · enumOptional

Filter by subscription status

Possible values:
is_active_subscriptionbooleanOptional

Filter by active subscriptions

has_subscriptionbooleanOptional

Filter domains with/without subscriptions

referral_partner_idstringOptional

Filter by referral partner ID

created_at_startstring · date-timeOptional

Filter domains created after this date

created_at_endstring · date-timeOptional

Filter domains created before this date

activated_at_startstring · date-timeOptional

Filter domains activated after this date

activated_at_endstring · date-timeOptional

Filter domains activated before this date

pageinteger · min: 1Optional

Page number

Default: 1
limitinteger · min: 1 · max: 100Optional

Results per page

Default: 10
Responses
200

An array with all partner domains

application/json
get/portal/domains
GET /api/portal/domains HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

An array with all partner domains

{
  "meta": {
    "current_page": 1,
    "next_page": 1,
    "prev_page": 1
  },
  "result": [
    {
      "id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
      "hostname": "mycompany.com",
      "status": "NEW",
      "instance_property_id": "7a56a154e6d242d796b9afdfx4clzjrg",
      "instance_company_id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z",
      "activated_at": "2026-01-01T00:00:00.000Z",
      "is_active": true,
      "email": "john@mycompany.com",
      "company_trade_name": "My Company Inc",
      "company_id_number": "333000",
      "has_scripts": true,
      "has_dsar": true,
      "has_docs": true,
      "has_accessibility": true,
      "display_company": true,
      "display_dpo": true,
      "has_clym_logo": true,
      "widget_version": 1,
      "instance_id": 1,
      "system_segment_id": 1,
      "default_notice_type": "CLASSIC",
      "source": "API",
      "partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
      "privacy_widget": "<script>\nwindow._clymInit=window._clymInit||[];\nwindow._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]);\n</script>\n<script src='https://widget.clym-sdk.net/blocking.js'></script>\n<script src='https://widget.clym-sdk.net/clym.js' async></script>\n",
      "privacy_center_link": "<a href=\"#\" onclick=\"Clym.showWidget();\">Privacy Center</a>\n",
      "privacy_dnt_link": "<a href=\"#\" onclick=\"Clym.showWidget('/requests/new/do_not_sell_my_information');\">Do not sell my personal information</a>\n",
      "merchants": [
        "text"
      ],
      "instance": {
        "id": 1,
        "name": "text",
        "hostname": "text"
      },
      "property": {
        "id": "7a56a154e6d242d796b9afdfx4clzjrg",
        "name": "mycompany.com",
        "company": {
          "id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
          "name": "My Company Inc",
          "email": "john@mycompany.com",
          "address": {
            "country": "US",
            "city": "Stuart",
            "address": "950 S Kanner Hwy Apt 401",
            "postal_code": "34994",
            "phone_number": "+1 980 446 8535"
          },
          "owner": {
            "id": "2c2d74241aff420a87f9f6dapr5mkaok",
            "email": "john@mycompany.com",
            "first_name": "John",
            "last_name": "Doe"
          }
        }
      },
      "subscription": {
        "id": "text",
        "status": "NEW",
        "start_date": "2026-01-01T00:00:00.000Z",
        "end_date": "2026-01-01T00:00:00.000Z",
        "created_at": "2026-01-01T00:00:00.000Z",
        "price": {
          "id": 1,
          "frequency": "MONTH",
          "currency": {
            "id": "text",
            "name": "text"
          },
          "price_amount": 1,
          "price_list": {
            "id": 1,
            "type": "text",
            "code": "text"
          },
          "product": {
            "id": 1,
            "type": "text",
            "name": "text"
          }
        }
      }
    }
  ]
}

Create domain

post

Create a new domain in your partner account. Note that some fields are required and some are optional, depending on the onboarding configuration setup for your partner. To find out more, reach out to your partner account manager.

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Body
domainstring · uriRequired

The domain to be registered

Example: mycompany.com
productstringOptional

The billing product code for this domain. Available under /products

Example: BASE
price_liststringOptional

The billing price list code for this domain

Example: RESELLER
company_namestringRequired

The company legal name

Example: My Company Inc
company_trade_namestringOptional

The company trade name if different from the company (legal) name

Example: My Company
company_id_numberstringOptional

Internal company ID number

Example: 333000
company_setupbooleanOptional

When set to true, a new company will be created and company_name will not be used as company uniqueness

Default: false
account_emailstring · emailRequired

The email account of the domain owner. This email address will be used for all transactional emails (including onboarding emails).

Example: john@mycompany.com
account_first_namestringOptional

The first name of the individual owning the domain

Example: John
account_last_namestringOptional

The last name of the individual owning the domain

Example: Doe
phone_numberstringOptional

The phone number of the individual owning the domain

Example: 19804468535
vat_numberstringOptional

Company VAT number

Example: GB493049
registration_numberstringOptional

Company registration number

Example: 49434993
countrystringOptional

Company country code in ISO 3166-1 alpha-2

Example: US
statestringOptional

Company state code in ISO 3166-1 alpha-2

Example: FL
citystringOptional

Company city

Example: Stuart
addressstringOptional

Company address

Example: 950 S Kanner Hwy Apt 401
address_2stringOptional

Secondary address line

Example: Suite 200
postal_codestringOptional

Company postal code

Example: 34994
primary_colorstringOptional

Domain primary color in hex format

Example: #c3c3c3
has_scriptsbooleanOptional

Optional, when disabled, the widget will not handle any kind of consent/cookie management and will not block any scripts.

Default: trueExample: true
has_dsarbooleanOptional

Optional, when disabled, the widget will not allow any Data Subject Request creation

Default: trueExample: true
has_docsbooleanOptional

Optional, when disabled, the widget will not display any legal documents

Default: trueExample: false
has_accessibilitybooleanOptional

Optional, when disabled, the widget will not have any accessibility functionality enabled.

Default: trueExample: true
display_dpobooleanOptional

Optional, when disabled, the DPO information in the widget will be hidden

Default: trueExample: true
display_companybooleanOptional

Optional, when disabled, the Company tab in the widget will be hidden

Default: trueExample: false
subdomainsstring · uri[] · max: 100Optional

Optional, if specified, additional subdomains to be created to the property

default_notice_typestring · enumOptional

Optional default widget notification type to be used by the widget

Possible values:
send_introbooleanOptional

Determine if the system will send the customized email or not

Example: false
actionstring · enumOptionalExample: CREATE_SILENTPossible values:
merchant_idstring · max: 204Optional

The merchant id to be assigned to this domain

Example: 1111111
referral_partner_idstringOptional

The ID of the partner who referred this domain

Example: ac276ff57f9b4d2196c28927gxh25xx6
criteriasstring[]Optional

Company criteria identifiers

sector_idstringOptional

Business sector identifier

Example: 7a56a154e6d242d796b9afdfx4clzjrg
industry_idstringOptional

Industry classification identifier

Example: 8b67b265f7e353e8a7cabeeg5emak8sh
Responses
200

Domain added to the partner account

application/json
idstringOptionalExample: 1f19dbcbc7b84be5b40ffcc4ya0zqbtr
hostnamestring · uriOptionalExample: mycompany.com
statusstring · enumOptionalPossible values:
instance_property_idstringOptionalExample: 7a56a154e6d242d796b9afdfx4clzjrg
instance_company_idstringOptionalExample: 57cb7126dbbe4320b8c30be7uh1tj7h7
updated_atstring · date-timeOptional
created_atstring · date-timeOptional
is_activebooleanOptional
emailinteger · emailOptionalExample: john@mycompany.com
company_trade_namestringOptionalExample: My Company Inc
company_id_numberstringOptionalExample: 333000
has_scriptsbooleanOptionalExample: true
has_dsarbooleanOptionalExample: true
has_docsbooleanOptionalExample: false
has_accessibilitybooleanOptionalExample: true
display_companybooleanOptionalExample: false
display_dpobooleanOptionalExample: true
default_notice_typestring · enumOptionalExample: CLASSICPossible values:
sourcestring · enumOptionalExample: APIPossible values:
partner_idstringOptionalExample: ac276ff57f9b4d2196c28927gxh25xx6
privacy_widgetstringOptional

Privacy widget script tag to embed on the domain page.

Example: <script> window._clymInit=window._clymInit||[]; window._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]); </script> <script src='https://widget.clym-sdk.net/blocking.js'></script> <script src='https://widget.clym-sdk.net/clym.js' async></script>
privacy_center_linkstringOptional

Footer link to open privacy widget

Example: <a href="#" onclick="Clym.showWidget();">Privacy Center</a>
privacy_dnt_linkstringOptional

Footer link to open data subject requests on privacy widget

Example: <a href="#" onclick="Clym.showWidget('/requests/new/do_not_sell_my_information');">Do not sell my personal information</a>
post/portal/domains
POST /api/portal/domains HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 943

{
  "domain": "mycompany.com",
  "product": "BASE",
  "price_list": "RESELLER",
  "company_name": "My Company Inc",
  "company_trade_name": "My Company",
  "company_id_number": "333000",
  "company_setup": false,
  "account_email": "john@mycompany.com",
  "account_first_name": "John",
  "account_last_name": "Doe",
  "phone_number": 19804468535,
  "vat_number": "GB493049",
  "registration_number": "49434993",
  "country": "US",
  "state": "FL",
  "city": "Stuart",
  "address": "950 S Kanner Hwy Apt 401",
  "address_2": "Suite 200",
  "postal_code": "34994",
  "primary_color": "#c3c3c3",
  "has_scripts": true,
  "has_dsar": true,
  "has_docs": false,
  "has_accessibility": true,
  "display_dpo": true,
  "display_company": false,
  "subdomains": [
    "https://example.com"
  ],
  "default_notice_type": "CLASSIC",
  "send_intro": false,
  "action": "CREATE_SILENT",
  "merchant_id": "1111111",
  "referral_partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
  "criterias": [
    "text"
  ],
  "sector_id": "7a56a154e6d242d796b9afdfx4clzjrg",
  "industry_id": "8b67b265f7e353e8a7cabeeg5emak8sh"
}
200

Domain added to the partner account

{
  "id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
  "hostname": "mycompany.com",
  "status": "NEW",
  "instance_property_id": "7a56a154e6d242d796b9afdfx4clzjrg",
  "instance_company_id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "created_at": "2026-01-01T00:00:00.000Z",
  "is_active": true,
  "email": "john@mycompany.com",
  "company_trade_name": "My Company Inc",
  "company_id_number": "333000",
  "has_scripts": true,
  "has_dsar": true,
  "has_docs": false,
  "has_accessibility": true,
  "display_company": false,
  "display_dpo": true,
  "default_notice_type": "CLASSIC",
  "source": "API",
  "partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
  "privacy_widget": "<script>\nwindow._clymInit=window._clymInit||[];\nwindow._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]);\n</script>\n<script src='https://widget.clym-sdk.net/blocking.js'></script>\n<script src='https://widget.clym-sdk.net/clym.js' async></script>\n",
  "privacy_center_link": "<a href=\"#\" onclick=\"Clym.showWidget();\">Privacy Center</a>\n",
  "privacy_dnt_link": "<a href=\"#\" onclick=\"Clym.showWidget('/requests/new/do_not_sell_my_information');\">Do not sell my personal information</a>\n"
}

Get domain

get

Retrieve information about a single domain

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Responses
200

The partner domain information

application/json

The domain representation

idstringOptionalExample: 1f19dbcbc7b84be5b40ffcc4ya0zqbtr
hostnamestring · uriOptionalExample: mycompany.com
statusstring · enumOptionalPossible values:
instance_property_idstringOptionalExample: 7a56a154e6d242d796b9afdfx4clzjrg
instance_company_idstringOptionalExample: 57cb7126dbbe4320b8c30be7uh1tj7h7
updated_atstring · date-timeOptional
created_atstring · date-timeOptional
activated_atstring · date-timeOptional
is_activebooleanOptional
emailinteger · emailOptionalExample: john@mycompany.com
company_trade_namestringOptionalExample: My Company Inc
company_id_numberstringOptionalExample: 333000
has_scriptsbooleanOptional
has_dsarbooleanOptional
has_docsbooleanOptional
has_accessibilitybooleanOptional
display_companybooleanOptional
display_dpobooleanOptional
has_clym_logobooleanOptional
widget_versionintegerOptional
instance_idintegerOptional
system_segment_idintegerOptional
default_notice_typestring · enumOptionalPossible values:
sourcestring · enumOptionalPossible values:
partner_idstringOptionalExample: ac276ff57f9b4d2196c28927gxh25xx6
privacy_widgetstringOptional

Privacy widget script tag to embed on the domain page.

Example: <script> window._clymInit=window._clymInit||[]; window._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]); </script> <script src='https://widget.clym-sdk.net/blocking.js'></script> <script src='https://widget.clym-sdk.net/clym.js' async></script>
privacy_center_linkstringOptional

Footer link to open privacy widget

Example: <a href="#" onclick="Clym.showWidget();">Privacy Center</a>
privacy_dnt_linkstringOptional

Footer link to open data subject requests on privacy widget

Example: <a href="#" onclick="Clym.showWidget('/requests/new/do_not_sell_my_information');">Do not sell my personal information</a>
merchantsstring[]Optional

An array of merchant ids associated with this domain

get/portal/domains/{domainId}
GET /api/portal/domains/{domainId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

The partner domain information

{
  "id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
  "hostname": "mycompany.com",
  "status": "NEW",
  "instance_property_id": "7a56a154e6d242d796b9afdfx4clzjrg",
  "instance_company_id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "created_at": "2026-01-01T00:00:00.000Z",
  "activated_at": "2026-01-01T00:00:00.000Z",
  "is_active": true,
  "email": "john@mycompany.com",
  "company_trade_name": "My Company Inc",
  "company_id_number": "333000",
  "has_scripts": true,
  "has_dsar": true,
  "has_docs": true,
  "has_accessibility": true,
  "display_company": true,
  "display_dpo": true,
  "has_clym_logo": true,
  "widget_version": 1,
  "instance_id": 1,
  "system_segment_id": 1,
  "default_notice_type": "CLASSIC",
  "source": "API",
  "partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
  "privacy_widget": "<script>\nwindow._clymInit=window._clymInit||[];\nwindow._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]);\n</script>\n<script src='https://widget.clym-sdk.net/blocking.js'></script>\n<script src='https://widget.clym-sdk.net/clym.js' async></script>\n",
  "privacy_center_link": "<a href=\"#\" onclick=\"Clym.showWidget();\">Privacy Center</a>\n",
  "privacy_dnt_link": "<a href=\"#\" onclick=\"Clym.showWidget('/requests/new/do_not_sell_my_information');\">Do not sell my personal information</a>\n",
  "merchants": [
    "text"
  ],
  "instance": {
    "id": 1,
    "name": "text",
    "hostname": "text"
  },
  "property": {
    "id": "7a56a154e6d242d796b9afdfx4clzjrg",
    "name": "mycompany.com",
    "company": {
      "id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
      "name": "My Company Inc",
      "email": "john@mycompany.com",
      "address": {
        "country": "US",
        "city": "Stuart",
        "address": "950 S Kanner Hwy Apt 401",
        "postal_code": "34994",
        "phone_number": "+1 980 446 8535"
      },
      "owner": {
        "id": "2c2d74241aff420a87f9f6dapr5mkaok",
        "email": "john@mycompany.com",
        "first_name": "John",
        "last_name": "Doe"
      }
    }
  },
  "subscription": {
    "id": "text",
    "status": "NEW",
    "start_date": "2026-01-01T00:00:00.000Z",
    "end_date": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "price": {
      "id": 1,
      "frequency": "MONTH",
      "currency": {
        "id": "text",
        "name": "text"
      },
      "price_amount": 1,
      "price_list": {
        "id": 1,
        "type": "text",
        "code": "text"
      },
      "product": {
        "id": 1,
        "type": "text",
        "name": "text"
      }
    }
  }
}

Update domain

put

Update information about a domain

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Body
company_namestringOptional

The company legal name

Example: My Company Inc
company_trade_namestringOptional

The company trade name if different from the company (legal) name

Example: My Company
company_id_numberstringOptional

Internal company ID number

Example: 333000
countrystringOptional

Company country code in ISO 3166-1 alpha-2

Example: US
statestringOptional

Company state code in ISO 3166-1 alpha-2

Example: FL
citystringOptional

Company city

Example: Stuart
addressstringOptional

Company address

address_2stringOptional

Secondary address line

Example: 950 S Kanner Hwy Apt 401
postal_codestringOptional

Company postal code

Example: 34994
primary_colorstringOptional

Domain primary color

Example: #c3c3c3
has_scriptsbooleanOptional

Optional, when disabled, the widget will not handle any kind of consent/cookie management and will not block any scripts.

Example: true
has_dsarbooleanOptional

Optional, when disabled, the widget will not allow any Data Subject Request creation

Example: true
has_docsbooleanOptional

Optional, when disabled, the widget will not display any legal documents

Example: false
has_accessibilitybooleanOptional

Optional, when disabled, the widget will not have any accessibility functionality enabled.

Example: true
display_dpobooleanOptional

Optional, when disabled, the DPO information in the widget will be hidden

Example: true
display_companybooleanOptional

Optional, when disabled, the Company tab in the widget will be hidden

Example: false
default_notice_typestring · enumOptional

Optional default widget notification type to be used by the widget

Possible values:
Responses
200

Acknowledgement that request was successful.

application/json
put/portal/domains/{domainId}
PUT /api/portal/domains/{domainId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 396

{
  "company_name": "My Company Inc",
  "company_trade_name": "My Company",
  "company_id_number": "333000",
  "country": "US",
  "state": "FL",
  "city": "Stuart",
  "address": "text",
  "address_2": "950 S Kanner Hwy Apt 401",
  "postal_code": "34994",
  "primary_color": "#c3c3c3",
  "has_scripts": true,
  "has_dsar": true,
  "has_docs": false,
  "has_accessibility": true,
  "display_dpo": true,
  "display_company": false,
  "default_notice_type": "CLASSIC"
}
200

Acknowledgement that request was successful.

{
  "result": {
    "id": "text"
  }
}

Delete domain

delete

Completely delete the domain and all associated functionality from your partner account

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Responses
200

Domain deletion confirmation

application/json
delete/portal/domains/{domainId}
DELETE /api/portal/domains/{domainId} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Domain deletion confirmation

{
  "result": {
    "deleted": true
  }
}

Deactivate domain

post

Deactivate an active domain, changing its status to INACTIVE. The domain will be excluded from the list of partner domains.

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Responses
200

Acknowledgement that request was successful.

application/json
resultobjectOptional
post/portal/domains/{domainId}/deactivate
POST /api/portal/domains/{domainId}/deactivate HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Acknowledgement that request was successful.

{
  "result": {}
}

Activate domain

post

Activate a deactivated domain. The domain will be included in the list of partner domains.

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Responses
200

Acknowledgement that request was successful.

application/json
resultobjectOptional
post/portal/domains/{domainId}/activate
POST /api/portal/domains/{domainId}/activate HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Acknowledgement that request was successful.

{
  "result": {}
}

Invite domain

post

Send an invitation email to start the onboarding process for the specified domain. The email will be sent to the email address of the account owner and the domain status will change to INVITED. Once we start receiving the first page views, the domain status will change to ACTIVE

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Body
send_introbooleanOptional

Determine if the system will send the customized intro email or not.

Responses
200

Acknowledgement that request was successful.

application/json
resultobjectOptional
post/portal/domains/{domainId}/invite
POST /api/portal/domains/{domainId}/invite HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "send_intro": true
}
200

Acknowledgement that request was successful.

{
  "result": {}
}

Get subdomains

get

Retrieves all the previously created subdomains of the specified domain

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Responses
200

A list of the domain's subdomains

application/json
get/portal/domains/{domainId}/subdomains
GET /api/portal/domains/{domainId}/subdomains HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

A list of the domain's subdomains

{
  "result": [
    {
      "id": "a9a678b195ff46bb865c3b1ec6wbbta8",
      "hostname": "shop.andona.com",
      "instance_domain_id": "b23cf02ffbe14a79bf543a845umpk5vj",
      "updated_at": "2023-02-18T14:57:58.000Z",
      "created_at": "2023-02-18T14:57:58.000Z",
      "domain_id": "2634b4d4183947cf95c99d99axwau9h8",
      "instance_id": "1"
    }
  ]
}

Create subdomain

post

Adds a new subdomain to the specified domain

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Body
subdomainstring · uriRequired

The full hostname of the subdomain to be added

Responses
200

Acknowledgement that request was successful.

application/json

Subdomain of a domain.

idstringOptionalExample: a9a678b195ff46bb865c3b1ec6wbbta8
hostnamestringOptionalExample: shop.andona.com
instance_domain_idstringOptionalExample: b23cf02ffbe14a79bf543a845umpk5vj
updated_atstring · date-timeOptionalExample: 2023-02-18T14:57:58.000Z
created_atstring · date-timeOptionalExample: 2023-02-18T14:57:58.000Z
domain_idstringOptionalExample: 2634b4d4183947cf95c99d99axwau9h8
instance_idstringOptionalExample: 1
post/portal/domains/{domainId}/subdomains
POST /api/portal/domains/{domainId}/subdomains HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "subdomain": "https://example.com"
}
200

Acknowledgement that request was successful.

{
  "id": "a9a678b195ff46bb865c3b1ec6wbbta8",
  "hostname": "shop.andona.com",
  "instance_domain_id": "b23cf02ffbe14a79bf543a845umpk5vj",
  "updated_at": "2023-02-18T14:57:58.000Z",
  "created_at": "2023-02-18T14:57:58.000Z",
  "domain_id": "2634b4d4183947cf95c99d99axwau9h8",
  "instance_id": "1"
}

Delete subdomain

delete

Removes the specified subdomain from the specified domain

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

subdomainstring · uriRequired

The previously-created subdomain hostname

Responses
200

Acknowledgement that request was successful.

application/json
delete/portal/domains/{domainId}/subdomains/{subdomain}
DELETE /api/portal/domains/{domainId}/subdomains/{subdomain} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Acknowledgement that request was successful.

{
  "result": {
    "deleted": true
  }
}

Change product

post

Changes the product and price list of the domain's subscription.

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Path parameters
domainIdstringRequired

Domain id

Body
productstringRequired

The target product code, available in the /products section

price_liststringOptional

The target price list code, available in the /products section

Responses
200

Subscription product change acknowledgement

application/json
post/portal/domains/{domainId}/subscription/product
POST /api/portal/domains/{domainId}/subscription/product HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "product": "text",
  "price_list": "text"
}
200

Subscription product change acknowledgement

{
  "result": {
    "changed": true
  }
}

Bulk change product

post

Changes the product and price list in bulk, for up to 100 domains at once

Authorizations
AuthorizationstringRequired

API key generated in Clym Partner Portal.

Body
Responses
200

Subscription product change acknowledgement

application/json
post/portal/domains/bulk/subscription/product
POST /api/portal/domains/bulk/subscription/product HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "domains": {
    "id": "text",
    "product": "text",
    "price_list": "text"
  }
}
200

Subscription product change acknowledgement

{
  "result": {
    "changed": [
      {
        "domain_id": "text",
        "changed": true
      }
    ],
    "failed": [
      {
        "domain_id": "text",
        "error": {
          "code": "DATA.INVALID_NAME",
          "ns": "DATA",
          "message": "text",
          "status": 400,
          "data": {}
        }
      }
    ]
  }
}

Last updated